-- Copyright (C) 1991-2009 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 9.0 Build 184 04/29/2009 Service Pack 1 SJ Web Edition"

-- DATE "03/09/2010 12:11:22"

-- 
-- Device: Altera EPM570T100C5 Package TQFP100
-- 

-- 
-- This VHDL file should be used for ModelSim (VHDL) only
-- 

LIBRARY IEEE, maxii;
USE IEEE.std_logic_1164.all;
USE maxii.maxii_components.all;

ENTITY 	TITECH_AcousticProbe IS
    PORT (
	iDrive : OUT std_logic;
	Monitor : OUT std_logic;
	MONout : OUT std_logic;
	niDrive : OUT std_logic;
	SigmaOut : OUT std_logic;
	Clock80MHz : IN std_logic;
	COMPin : IN std_logic;
	nRESET : IN std_logic;
	RxD : IN std_logic;
	TxD : OUT std_logic
	);
END TITECH_AcousticProbe;

ARCHITECTURE structure OF TITECH_AcousticProbe IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_iDrive : std_logic;
SIGNAL ww_Monitor : std_logic;
SIGNAL ww_MONout : std_logic;
SIGNAL ww_niDrive : std_logic;
SIGNAL ww_SigmaOut : std_logic;
SIGNAL ww_Clock80MHz : std_logic;
SIGNAL ww_COMPin : std_logic;
SIGNAL ww_nRESET : std_logic;
SIGNAL ww_RxD : std_logic;
SIGNAL ww_TxD : std_logic;

BEGIN

iDrive <= ww_iDrive;
Monitor <= ww_Monitor;
MONout <= ww_MONout;
niDrive <= ww_niDrive;
SigmaOut <= ww_SigmaOut;
ww_Clock80MHz <= Clock80MHz;
ww_COMPin <= COMPin;
ww_nRESET <= nRESET;
ww_RxD <= RxD;
TxD <= ww_TxD;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\Clock80MHz~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_Clock80MHz);

\COMPin~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_COMPin);

\iDrive~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => GND,
	oe => VCC,
	padio => ww_iDrive);

\Monitor~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => GND,
	oe => VCC,
	padio => ww_Monitor);

\MONout~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => GND,
	oe => VCC,
	padio => ww_MONout);

\niDrive~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => GND,
	oe => VCC,
	padio => ww_niDrive);

\nRESET~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_nRESET);

\RxD~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_RxD);

\SigmaOut~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => GND,
	oe => VCC,
	padio => ww_SigmaOut);

\TxD~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => GND,
	oe => VCC,
	padio => ww_TxD);
END structure;


